CREATE VIEW V_SCHEDULE as
  select
		x.USER_ID   as USER_ID,
		SEQNO,
		DAY,
		TIME_FROM,
		TIME_TO,
		CATEGORY,
		CONTENTS,
		DETAIL,
		CONTENTS || ' ' || DETAIL as RETVAL,
		x.UPD_DATE  as UPD_DATE,
		x.UPD_TIME  as UPD_TIME,
		x.UPD_PGM   as UPD_PGM,
		x.UPD_USER  as UPD_USER,
		x.DEL_FLG   as DEL_FLG,
		CATEGORY_NAME,
		COLOR
	from M_SCHEDULE x left join M_CATEGORY y on x.CATEGORY = y.CATEGORY_ID
	order by DAY, TIME_FROM, SEQNO
