<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * グループ月別スケジュール一覧表示画面 (GroupDayList.jsp)
 *
 * version:      0.1, 2011.2.8 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>gropu daily List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
  var C_DIALOG_OPTL = "status:false;dialogWidth:600px;dialogHeight:350px";
  var C_DIALOG_OPTL2 = "status:false;dialogWidth:600px;dialogHeight:500px";
  function newday(offs, unit) {
    if(isClick == true){
      return;
    }
    isClick = true;
    document.mainForm.offset.value = offs;
    document.mainForm.unit.value = unit;
    document.mainForm.submit();
  }

  function detail(uid, uname, dd) {
	  url = "<%= ROOT_DIR %>/ComControl?pluginId=<%= PLG_ID %>&processId=group&action=detail";
		url += "&pageAction=get";
		url += "&uid=";
	  url += uid;
		url += "&uname=";
	  url += encodeURI(uname);
		url += "&day=";
	  url += document.mainForm.yyyymm.value;
	  url += dd;
    var argObj = new Object();
    argObj.name = uname;
    retVal = showModalDialog(url, argObj, C_DIALOG_OPTL);
  }

  function dspday(dd) {
    document.mainForm.action.value = "dailylist";
    document.mainForm.offset.value = dd;
    document.mainForm.unit.value = "D";
    document.mainForm.submit();
  }

	function add(uid, uname) {
    url = "<%= ROOT_DIR %>/ComControl?pluginId=<%= PLG_ID %>&processId=group&action=addini";
		url += "&uid=";
    url += uid;
		url += "&uname=";
    url += encodeURI(uname);
		url += "&day=";
    url += document.mainForm.day.value;
    var argObj = new Object();
    argObj.name = uname;
    retVal = showModalDialog(url, argObj, C_DIALOG_OPTL);
    if(typeof(retVal) != "undefined"){
      document.mainForm.offset.value = 0;
      document.mainForm.submit();
    }
	}
  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="group" act="monthlylist" pageact="get" />

  <htl:hidden item="offset"/>
  <htl:hidden item="unit"/>
  <htl:hidden item="day"/>
  <htl:hidden item="yyyymm"/>

  <%-- タイトル --%>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle">グループ月間スケジュール</td>
      <td>&nbsp;</td>
      <td width="50" class="titleDt" align="left"><a href="dmy" onclick="newday(-1, 'M'); return false;"><font size="-1">≪ 前月</font></a></td>
      <td width="5">&nbsp;</td>
      <td width="170"><htl:dispitem item="dispyymm"/></td>
      <td width="5">&nbsp;</td>
      <td width="50" class="titleDt" align="right"><a href="dmy" onclick="newday(1, 'M'); return false;"><font size="-1">翌月 ≫</font></a></td>
    </tr>
  </table>
  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>
  </htl:rectPre>
  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable" width="98%" border="0" cellpadding="0" cellspacing="1" style="table-layout: fixed;">
  <%
    int end = Integer.parseInt(commonMessage.getResMsg("count"));
    Map<String,String> svclr = null;
    for (Map<String,String> elm : commonMessage) {
      String uid = elm.get("uid");
      String uname = elm.get("uname");
      if (uname.equals("#COLOR#")) {
        svclr = elm;
        continue;
      }
  %>
    <tr>
  <%
      String ank1 = "";
      String anke = "";
      if (uid != null && uid.length() > 0) {
        ank1 = "<a href=\"#\" onclick=\"add('" + uid + "','" + uname + "'); return false;\">";
        anke = "</a>";
      }
  %>
    	<td class="titleDt"><%= ank1 %><%= uname %><%= anke %></td>
  <%
      for (int i = 1; i <= end; i++) {
      	String si = String.valueOf(i);
      	String sip = si;
      	if (sip.length() < 2) sip = "0" + sip;
      	String clr = svclr.get(si);
        String ank2 = "";
        if (uid == null || uid.length() == 0) {
        	ank2 = "<a href=\"#\" onclick=\"dspday('" +  String.valueOf(i - 1) + "'); return false;\">";
        } else {
        	ank2 = "<a href=\"#\" onclick=\"detail('" + uid + "','" + uname + "','" + sip + "'); return false;\">";
        }
  %>
    	<td bgcolor="<%= clr %>" align="right" width="14px"><%= ank2 %><%= elm.get(si) %><%= anke %></td>
  <%
      }
    }
  %>
  </table>
  </div>
  </div>

</form>
</body>
</html>