<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * 週間スケジュール一覧表示画面 (PersonalWeekList.jsp)
 *
 * version:      0.1, 2011.2.8 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>personal weekly List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
  var C_DIALOG_OPT = "status:false;dialogWidth:600px;dialogHeight:350px";
  var C_DIALOG_OPTL = "status:false;dialogWidth:600px;dialogHeight:600px";
  function newday(offs, typ) {
    if(isClick == true){
      return;
    }
    isClick = true;
    document.mainForm.offset.value = offs;
    if (typ != '') {
      document.mainForm.dtype.value = typ;
    }
    document.mainForm.submit();
  }

  function selDate() {
	  calendarClick('sdate');
    document.mainForm.offset.value = 0;
    document.mainForm.submit();
  }

  function add() {
    url = "<%= ROOT_DIR %>/ComControl?pluginId=<%= PLG_ID %>&processId=personal";
    url += "&action=addini";
		url += "&uid=";
    url += document.mainForm.uid.value;
    url += "&day=";
    url += document.mainForm.sdate.value;
		url += "&uname=";
    url += encodeURI(document.mainForm.uname.value);
    var argObj = new Object();
    argObj.name = document.mainForm.uname.value;
    retVal = showModalDialog(url, argObj, C_DIALOG_OPTL);
    if(typeof(retVal) != "undefined"){
      document.mainForm.offset.value = 0;
      document.mainForm.submit();
    }
	}

	function mod(pos) {
    url = "<%= ROOT_DIR %>/ComControl?pluginId=<%= PLG_ID %>&processId=personal";
    url += "&action=modini";
		url += "&seq=";
    url += pos;
		url += "&uname=";
    url += encodeURI(document.mainForm.uname.value);
    var argObj = new Object();
    argObj.name = document.mainForm.uname.value;
    retVal = showModalDialog(url, argObj, C_DIALOG_OPTL);
    if(typeof(retVal) != "undefined"){
      document.mainForm.offset.value = 0;
      document.mainForm.submit();
    }
	}
  </script>

  <style>
  table.simple {
    WIDTH     : 100%;
    border    : 0px;
    padding   : 0px;
    table-layout  : fixed;
  }
  tr.simple {
    border    : 0px;
    padding   : 0px;
  }
  td.simple {
    border    : 0px;
    padding   : 0px;
  }
  </style>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="personal" act="weeklylist" pageact="get" />

  <htl:hidden item="offset"/>
  <htl:hidden item="uid"/>
  <htl:hidden item="uname"/>
  <htl:hidden item="dtype"/>

  <%-- タイトル --%>
  <%
    String typ = commonMessage.getReqStr("dtype");
    String sdt = commonMessage.getReqStr("sdate");
  %>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle">週間スケジュール</td>
      <td>&nbsp;</td>
      <td width="70" class="titleDt" align="center"><a href="dmy" onclick="add(); return false;"><font size="-1">新規登録</font></a></td>
      <td width="15">&nbsp;</td>
      <td width="50" class="titleDt" align="left"><a href="dmy" onclick="newday(-1, ''); return false;"><font size="-1">« 前週</font></a></td>
      <td width="5">&nbsp;</td>
      <td width="220">
      	<htl:textfld item="sdate" size="7" cls="textNum" attr="readonly"/>
      	( <htl:dispitem item="yobi"/>)
      	<button name="selday" onclick="selDate(); return false;" style="cursor:pointer;"><font size="-1">選択</font></button>
      </td>
      <td width="5">&nbsp;</td>
      <td width="50" class="titleDt" align="right"><a href="dmy" onclick="newday(1, ''); return false;"><font size="-1">翌週 »</font></a></td>
      <td width="10">&nbsp;</td>
  <%
    String arg = "dtl";
    String ttl = "詳　細";
    if (typ.equals("dtl")) {
    	arg = "sum";
    	ttl = "サマリ";
    }
  %>
      <td width="50" class="titleDt" align="right"><a href="dmy" onclick="newday(0, '<%= arg %>'); return false;"><font size="-1"><%= ttl %></font></a></td>
    </tr>
  </table>
  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>
  </htl:rectPre>
  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable" width="98%" border="0" cellpadding="0" cellspacing="1" style="table-layout: fixed;">
    <tr>
      <th nowrap width="110px" class="ListTitle" align="center">日付</th>
      <th nowrap width="95px" class="ListTitle" align="center">時間</th>
      <th nowrap width="70px" class="ListTitle" align="left">カテゴリー</th>
      <th nowrap class="ListTitle" align="left">内容</th>
      <th nowrap width="130px" class="ListTitle" align="left">登録者</th>
    </tr>
    <tr>
      <td>
        <table>
  <%
    String svdt = "";
  	String bclr = "#ffffff";
    for (Map<String,String> elm : commonMessage) {
    	String spno = elm.get(POS_NM);
      String seq = elm.get("seq");
      String dt = elm.get("day");
    	String clr = elm.get("color");
      if (!dt.equals(svdt)) {
      	svdt = dt;
      	bclr = "#ffffff";
    	  if ("1".equals(elm.get("holiday"))) { bclr = "#ff99ff"; }
  %>
        </table>
      </td>
    </tr>
    <tr bgcolor="<%= bclr %>">
    	<td valign="top" align="center" bgcolor="<%= bclr %>"><%= dt %> ( <htl:listdsp name="yobi" mpos="<%= elm %>" />)</td>
    	<td colspan="4" class="top" bgcolor="<%= bclr %>">
    	  <table bgcolor="<%= bclr %>" class="simple" cellpadding="0" cellspacing="0">
  <%
      }
      if (spno.length() > 0) {
  %>
          <tr bgcolor="<%= bclr %>" class="simple">
            <td noWrap bgcolor="<%= bclr %>" width="40px" align="left" valign="top" class="simple"><htl:listdsp name="time_from" mpos="<%= elm %>" /></td>
            <td noWrap bgcolor="<%= bclr %>" width="15px" align="left" valign="top" class="simple">～</td>
            <td noWrap bgcolor="<%= bclr %>" width="42px" align="left" valign="top" class="simple"><htl:listdsp name="time_to" mpos="<%= elm %>" /></td>
        		<td noWrap bgcolor="<%= bclr %>" width="75px" align="left" valign="top" class="simple"><htl:listdsp name="category_name" mpos="<%= elm %>" />&nbsp;</td>
        		<td bgcolor="<%= bclr %>" class="simple"><font color="<%= clr %>"><htl:listdsp name="contents" mpos="<%= elm %>" />
  <%
        if (typ.equals("dtl")) {
  %>
                <br><font size="-1"><htl:listdsp name="detail" mpos="<%= elm %>" /></font>
  <%
        }
  %>
          		 </font>
        		</td>
        		<td noWrap bgcolor="<%= bclr %>" width="100px" valign="top" class="simple"><htl:listdsp name="upuser" mpos="<%= elm %>" />&nbsp;</td>
        		<td bgcolor="<%= bclr %>" valign="top" width="30px" align="right" class="simple"><a href="#" onclick="mod('<%= seq %>'); return false;"><font size="-1">変更</font></a></td>
      		</tr>
  <%
      }
    }
  %>
        </table>
      </td>
    </tr>
  </table>
  </div>
  </div>

</form>
</body>
</html>