<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 *  スケジュール登録用ＪＳＰ(ScheduleAdd.jsp)
 *
 * version:      0.1, 2011.02.16 新規
 ********************************************************************************
 --%>
<%@page import="com.hamaf.hikyaku.dataobject.CommonMessage"%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html;charset=utf-8">
  <title>Schedule Add</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:250px;dialogHeight:300px";
    function init() {
      window.name = "scheduleAdd"

      var param = window.dialogArguments;
      document.mainForm.uname.value = param.name;
      dispName.innerHTML = param.name;

      var imod  = "<%= commonMessage.getResMsg("scheduleAdd") %>";
      if (imod == "1") {
        window.returnValue = "ok";
        self.window.close();
        return;
      }
    }

    function back()
    {
      if(isClick == true){
        return;
      }
      isClick = true;
      self.window.close();
    }
    function regist()
    {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.action.value = "add";
      document.mainForm.submit();
    }
  </script>
</head>

<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body onload="init();" class="popbg dialog">
<form name="mainForm" action="<%= ActionVal %>" target="scheduleAdd" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="personal" act="add" pageact="same" />

  <htl:hidden item="uid"/>
  <htl:hidden item="uname"/>

  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr><td colspan="4" class="MainTitle"><b><span id="dispName"><htl:dispitem item="uname"/></span></b> のスケジュール登録</td></tr>
    <tr><td colspan="4" id="spaceline"></td></tr>
    <tr class="button">
      <td id="space"></td>
      <td nowrap align="center"><a href="#" onclick="regist(); return false;">${hfn:getMsg("btn.add")}</a></td>
      <td id="spacer"></td>
      <td nowrap align="center"><a href="#" onclick="back(); return false;">${hfn:getMsg("btn.cansel")}</a></td>
    </tr>
  </table>
  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>

  <br>
  <div id="booth" class="input">
    <div id="waku">
    <table width="100%" border="0" cellspacing="1" bgcolor="#FFFFFF">
     <tr>
       <td class="titleDt" nowrap width="15%"><div class="hissu_asta">日付</div></td>
       <td class="Rect">
         <htl:textbody item="day" cls="textNum" size="6" maxlength="10" attr="onkeyDown='return numOnly()'">yyyy/mm/dd（西暦８桁形式）<button name="selday" onclick="calendarClick('day'); return false;" style="cursor:pointer;"><font size="-1">選択</font></button></htl:textbody>
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">開始時刻</td>
       <td class="Rect">
         <htl:textbody item="time_from" cls="textNum" size="3" maxlength="5" ini="09:00" attr="onkeyDown='return numOnly()'">HH:MM （24時間形式）</htl:textbody>
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">終了時刻</td>
       <td class="Rect">
         <htl:textbody item="time_to" cls="textNum" size="3" maxlength="5" ini="19:00" attr="onkeyDown='return numOnly()'">HH:MM （24時間形式）</htl:textbody>
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">カテゴリー</td>
       <td class="Rect">
         <select name="category">
            <option value=""> </option>
            <htl:db2opt item="category" table="M_CATEGORY" keyColumn="CATEGORY_ID" dispColumn="CATEGORY_NAME"
                        pid="<%= PLG_ID %>" dbkey="hsmpl"/>
         </select>
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%"><div class="hissu_asta">内容</div></td>
       <td class="Rect">
         <htl:textbody item="contents" cls="textStr" size="50" maxlength="50">50文字以内</htl:textbody>
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">詳細</td>
       <td class="Rect">
         <htl:textarea item="detail" rows="5" cols="40"/>
       </td>
     </tr>
     <tr><td colspan="2"><font color="red" size="-1">*</font>&nbsp;${hfn:getMsg("uad.cmnt6")}</td></tr>
    </table>
    </div>
    <div id="waku">
    <table width="100%" border="0" cellspacing="1" bgcolor="#FFFFFF">
     <tr>
       <td class="titleDt" nowrap colspan="2"><font size="-1" color="blue">繰り返し登録の設定 (終了日が入力された場合)</font></td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%">終了日</td>
       <td class="Rect">
         <htl:textbody item="repEndDay" cls="textNum" size="6" maxlength="10" attr="onkeyDown='return numOnly()'">yyyy/mm/dd形式 <button name="selday2" onclick="calendarClick('repEndDay'); return false;" style="cursor:pointer;"><font size="-1">選択</font></button></htl:textbody>
       </td>
     </tr>
     <%
       String typ = MessageUtil.getItem(commonMessage, "repType", false);
       String[] chk = {"", "", "", "", ""};
       if (typ.equals("daily")) {
         chk[0] = " checked";
       } else if (typ.equals("weekly")) {
         chk[1] = " checked";
       } else if (typ.equals("monthlyDay")) {
         chk[2] = " checked";
       } else if (typ.equals("monthlyWeek")) {
         chk[3] = " checked";
       }
     %>
     <tr>
       <td class="titleDt" nowrap width="15%"><input name="repType" type="radio" value="daily"<%= chk[0] %>> 毎日</td>
       <td class="Rect">&nbsp;</td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%"><input name="repType" type="radio" value="weekly"<%= chk[1] %>> 毎週</td>
       <td class="Rect" valign="top">
         <select name="repWeek" multiple size="5">
           <htl:mst2opt tag="weekDay" item="repWeek"/>
         </select>
         <font color="red"><%= commonMessage.getResMsg4JSP("repWeekErr") %></font>
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%"><input name="repType" type="radio" value="monthlyDay"<%= chk[2] %>> 毎月 指定日</td>
       <td class="Rect">
         <htl:textbody item="repMDay1" cls="textNum" size="2" maxlength="2" attr="onkeyDown='return numOnly()'">日
         <htl:textfld item="repMDay2" cls="textNum" size="2" maxlength="2" attr="onkeyDown='return numOnly()'"/>日
         <htl:textfld item="repMDay3" cls="textNum" size="2" maxlength="2" attr="onkeyDown='return numOnly()'"/>日 "31"は月末となります</htl:textbody>
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="15%"><input name="repType" type="radio" value="monthlyWeek"<%= chk[3] %>> 毎月 第n曜日</td>
       <td class="Rect">
         第<htl:textbody item="repWeekNumber" cls="textNum" size="1" maxlength="1" attr="onkeyDown='return numOnly()'">
         </htl:textbody>
         <select name=repMonthWeek>
           <htl:mst2opt tag="weekDay" item="repMonthWeek"/>
         </select>
       </td>
     </tr>
    </table>
    </div>
  </div>

</form>
</body>
</html>