<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * スケジュール表示対象表示画面 (TargetList.jsp)
 *
 * version:      0.1, 2011.2.19 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.hamaf.hikyakucms.sample.schedule.access.TargetAccess.TARGET_KBN"%>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>target List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <%
    String type = commonMessage.getReqStr("type");
    String pid = "target" + type;
    String fld = "";
    String mod = "";
    String dspdel = "dmy";
    if ("g".equals(type)) {
    	fld = "target";
    	mod = "変更";
    } else if ("u".equals(type)) {
    	fld = "target";
    } else if ("t".equals(type)) {
    	fld = "uid";
    	mod = "追加";
    	dspdel = "#削除";
    }
  %>

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT2 = "status:false;dialogWidth:50px;dialogHeight:20px";
    var typ  = "<%= type %>";
    function itemSel() {
      if(isClick == true){
        return;
      }
      isClick = true;
      var ret;
      var act;
      var kbn;
      var swp = false;
      if (typ == "g") {
        ret = commonSelect("<%= PLG_ID %>","対象グループ選択","#groupSelect","0","1","0","","",
                               "group","vals","","","","");
        act = "groupmod";
        kbn = "<%= TARGET_KBN.GROUP.getValue() %>";
      } else {
    	  ret = commonSelect("<%= PLG_ID %>","対象ユーザー選択","V_USER_SEL","0","0","0","AND ID <> '<%= UID %>'","",
                               "target","vals","","","","");
        act = "useradd";
        kbn = "<%= TARGET_KBN.USER.getValue() %>";
        swp = true;
      }
      if(typeof(ret) != "undefined"){
        var rval = update(act, kbn, swp);
        if(typeof(rval) != "undefined"){
	        document.mainForm.submit();
        }
      }
      isClick = false;
    }

    function userDel(target) {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.target.value = target;
      var rval = update("userdel", "<%= TARGET_KBN.USER.getValue() %>", true);
      if(typeof(rval) != "undefined"){
	        document.mainForm.submit();
      }
    }

    function update(act, kbn, swap) {
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=target&action=update";
      url += "&fst=1";
      url += "&act=";
      url += act;
      if (swap) {
          url += "&uid=";
          url += document.mainForm.target.value;
          url += "&target=<%= UID %>";
      } else {
          url += "&uid=<%= UID %>";
          url += "&target=";
          url += document.mainForm.target.value;
      }
      url += "&kubun=";
      url += kbn;
      url += "&group=";
      url += document.mainForm.group.value;
      retVal = showModalDialog(url, null, C_DIALOG_OPT2);
      return retVal;
    }
  </script>
</head>

<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="<%= pid %>" act="list" pageact="get" />

  <htl:hidden item="type"/>

  <input type="hidden" name="target" value="">
  <input type="hidden" name="group" value="">
  <input type="hidden" name="vals" value="">

  <div id="list" class="input">
    <div id="waku">
    <table width="100%" border="0" cellspacing="0" bgcolor="#FFFFFF">
      <tr>
        <th nowrap class="ListTitle" width="30%">ID</th>
        <th nowrap class="ListTitle">名称</th>
        <th nowrap width="40px"  align="right">
         &nbsp;<a href="#" onclick="itemSel(); return false;"><font size="-1"><%= mod %></font></a>
        </th>
      </tr>
      <htl:listItems fld0="<%= fld %>" fld1="name" fld2="<%= dspdel %>">
      <tr>
        <td>${fld0}</td>
        <td>${fld1}</td>
        <td>&nbsp;<a href="#" onclick="userDel('${fld0}'); return false;"><font size="-1">${fld2}</font></a>
      </tr>
      </htl:listItems>
    </table>
  </div>

</form>
</body>
</html>
