<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * 週間タイムライ形式表示画面 (TimrLineList.jsp)
 *
 * version:      0.1, 2011.2.8 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Time Line List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>AjaxUtil.js"></script>
  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script src="plugins/schedule/jsp/contents/timeline.js"></script>
  <script language="JavaScript">
  var C_DIALOG_OPT = "status:false;dialogWidth:600px;dialogHeight:350px";
  var C_DIALOG_OPTL = "status:false;dialogWidth:600px;dialogHeight:600px";
  function newday(offs) {
    if(isClick == true){
      return;
    }
    isClick = true;
    document.mainForm.offset.value = offs;
    document.mainForm.submit();
  }

  function selDate() {
	  calendarClick('sdate');
    document.mainForm.offset.value = 0;
    document.mainForm.submit();
  }

	function add() {
    url = "<%= ROOT_DIR %>/ComControl?pluginId=<%= PLG_ID %>&processId=personal";
    url += "&action=addini";
		url += "&uid=";
    url += document.mainForm.uid.value;
    url += "&day=";
    url += document.mainForm.sdate.value;
		url += "&uname=";
    url += encodeURI(document.mainForm.uname.value);
    var argObj = new Object();
    argObj.name = document.mainForm.uname.value;
    retVal = showModalDialog(url, argObj, C_DIALOG_OPTL);
    if(typeof(retVal) != "undefined"){
      document.mainForm.offset.value = 0;
      document.mainForm.submit();
    }
	}

	function mod(pos) {
    url = "<%= ROOT_DIR %>/ComControl?pluginId=<%= PLG_ID %>&processId=personal";
    url += "&action=modini";
		url += "&seq=";
    url += pos;
		url += "&uname=";
    url += encodeURI(document.mainForm.uname.value);
    var argObj = new Object();
    argObj.name = document.mainForm.uname.value;
    retVal = showModalDialog(url, argObj, C_DIALOG_OPTL);
    if(typeof(retVal) != "undefined"){
      document.mainForm.offset.value = 0;
      document.mainForm.submit();
    }
	}
  </script>

	<style type="text/css">
	div.dragged_elm {
		position:	absolute;
		z-index:	100;
		width:		148px;
		background:	rgb(204, 204, 255);
		border:		1px solid black;
		text-align:	left;
		color:		#000;
    filter: alpha(opacity=70);
    opacity:0.7;
    cursor: move;
	}

	div.drop_target {
		position:	absolute;
		border:		1px solid black;
/*    background-image: url(./scheduleback.jpg);  */
    background-repeat: no-repeart;
		text-align:	center;
		color:		#333;
	}
	</style>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="personal" act="timeline" pageact="get" />

  <htl:hidden item="offset"/>
  <htl:hidden item="uid"/>
  <htl:hidden item="uname"/>
  <input name="urlval" type="hidden" value="<%= ROOT_DIR %>/ComControl?pluginId=<%= PLG_ID %>&processId=personal">

  <%-- タイトル --%>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle">週間スケジュール</td>
      <td>&nbsp;</td>
      <td width="70" class="titleDt" align="center"><a href="dmy" onclick="add(); return false;"><font size="-1">新規登録</font></a></td>
      <td width="15">&nbsp;</td>
      <td width="50" class="titleDt" align="left"><a href="dmy" onclick="newday(-1, ''); return false;"><font size="-1">« 前週</font></a></td>
      <td width="5">&nbsp;</td>
      <td width="220">
      	<htl:textfld item="sdate" size="8" cls="textNum" attr="readonly"/>
      	( <htl:dispitem item="yobi"/>)
      	<button name="selday" onclick="selDate(); return false;" style="cursor:pointer;"><font size="-1">選択</font></button>
      </td>
      <td width="5">&nbsp;</td>
      <td width="50" class="titleDt" align="right"><a href="dmy" onclick="newday(1, ''); return false;"><font size="-1">翌週 »</font></a></td>
      <td width="10">&nbsp;</td>
    </tr>
  </table>
  </htl:rectPre>

  <%
    List<List<String>> wdts = (List<List<String>>)commonMessage.getWorkBuff();
    int p = 0;
    for (List<String> wdt : wdts) {
    	p++;
    	String date = wdt.get(0);
    	String yobi = wdt.get(1);
    	String left = wdt.get(2);
    	String img = wdt.get(3);
  %>
  <div tid="<%= date %>" class="drop_target" id="t<%= p %>" style="left:<%= left %>px; top:50px; width:150px; height:730px; background-image:url(<%= img %>);"><%= date %>(<%= yobi %>)</div>
  <%
    }

    for (Map<String,String> elm : commonMessage) {
    	String spno = elm.get(POS_NM);
      if (spno.length() > 0) {
  	    String seq = elm.get("seq");
      	String top = elm.get("top");
      	String left = elm.get("left");
      	String height = elm.get("height");
      	String start = elm.get("time_from");
      	String ttl = elm.get("contents");
  %>
  <div did="<%= seq %>" class="dragged_elm" id="<%= spno %>" style="left:<%= left %>px; top:<%= top %>px; height:<%= height %>px"><%= ttl %></div>
  <%
      }
    }
  %>
  <span id="tempArea" style="display: none"></span>

</form>
</body>
</html>
