<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 *  個人の１日分のスケジュール情報を表示する(OneDaySchedule.jsp)
 *
 * version:      0.1, 2010.07.16 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<HEAD>
  <META HTTP-EQUIV="Content-Type" CONTENT="text/html;CHARSET=utf-8">
  <META NAME="Author" Content="Hamanaka">
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">
  <TITLE>personal one day schedule</TITLE>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:600px;dialogHeight:330px";
    var isClick = false;
    function newday(offs) {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.offset.value = offs;
      document.mainForm.unit.value = "D"
      document.mainForm.submit();
    }

		function add() {
      url = "<%= ROOT_DIR %>/ComControl?pluginId=<%= PLG_ID %>&processId=oneday";
      url += "&action=addini";
			url += "&uid=";
      url += document.mainForm.uid.value;
      url += "&day=";
      url += document.mainForm.day.value;
			url += "&uname=";
      url += encodeURI(document.mainForm.uname.value);
      var argObj = new Object();
      argObj.name = document.mainForm.uname.value;
      retVal = showModalDialog(url, argObj, C_DIALOG_OPT);
      if(typeof(retVal) != "undefined"){
	      document.mainForm.offset.value = 0;
  	    document.mainForm.unit.value = "D";
        document.mainForm.submit();
      }
		}

		function mod(pos) {
      url = "<%= ROOT_DIR %>/ComControl?pluginId=<%= PLG_ID %>&processId=oneday";
      url += "&action=modini";
			url += "&seq=";
      url += pos;
			url += "&uname=";
      url += encodeURI(document.mainForm.uname.value);
      var argObj = new Object();
      argObj.name = document.mainForm.uname.value;
      retVal = showModalDialog(url, argObj, C_DIALOG_OPT);
      if(typeof(retVal) != "undefined"){
	      document.mainForm.offset.value = 0;
  	    document.mainForm.unit.value = "D";
        document.mainForm.submit();
      }
		}
  </script>
</HEAD>
<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body>
<FORM name="mainForm" target="schedule_oneday" ACTION="ComControl" METHOD="POST" ENCTYPE="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="oneday" act="list" pageact="get" />

  <htl:hidden item="day"/>
  <htl:hidden item="offset"/>
  <htl:hidden item="unit"/>
  <htl:hidden item="week"/>
  <htl:hidden item="uid"/>
  <htl:hidden item="uname"/>

  <%-- タイトル --%>
  <htl:rectPre>
  <table width="100%" border="0" cellpadding="3" cellspacing="0">
    <tr>
      <td><div class="pt"><b><htl:dispitem item="day"/><htl:dispitem item="week"/></b> の予定</div></td>
      <td width="10">&nbsp;</td>
      <td width="70" class="titleDt"><a href="dmy" onclick="add(); return false;"><font size="-1">新規登録</font></a></td>
      <td width="15">&nbsp;</td>
      <td width="50" class="titleDt" align="left"><a href="dmy" onclick="newday(-7); return false;"><font size="-1">« 前週</font></a></td>
      <td width="5">&nbsp;</td>
      <td width="50" class="titleDt" align="left"><a href="dmy" onclick="newday(-1); return false;"><font size="-1">‹前日</font></a></td>
      <td width="10">&nbsp;</td>
      <td width="50" class="titleDt" align="right"><a href="dmy" onclick="newday(1); return false;"><font size="-1">翌日›</font></a></td>
      <td width="5">&nbsp;</td>
      <td width="50" class="titleDt" align="right"><a href="dmy" onclick="newday(7); return false;"><font size="-1">翌週 »</font></a></td>
    </tr>
  </table>
  <font color="red"><b><%= message[0] %></b></font>
  </htl:rectPre>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="100%" border="0" cellpadding="1" cellspacing="1" >
    <htl:listItems fld0="time_from" fld1="time_to" fld2="contents" fld3="seq" fld4="color">
      <tr>
        <td noWrap width="40px" align="left">${fld0}</td>
        <td noWrap width="15px" align="center">～</td>
        <td noWrap width="40px" align="left">${fld1}</td>
        <td nowrap width="10px" align="center">：</td>
        <td><font color="${fld4}">${fld2}</font>&nbsp;</td>
        <td nowrap width="30px" align="center"><a href="#" onclick="mod('${fld3}');return false;">
        	<font size="-1">変更</font></a></td>
      </tr>
    </htl:listItems>
  </table>
  </div>
  </div>

</FORM>
</body>

</HTML>