<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * グループ日別スケジュール一覧表示画面 (GroupDayList.jsp)
 *
 * version:      0.1, 2011.2.8 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>gropu daily List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
  var C_DIALOG_OPTL = "status:false;dialogWidth:600px;dialogHeight:350px";
  function newday(offs, typ) {
    if(isClick == true){
      return;
    }
    isClick = true;
    document.mainForm.offset.value = offs;
    if (typ != '') {
      document.mainForm.dtype.value = typ;
    }
    document.mainForm.submit();
  }

  function selDate() {
	  calendarClick('day');
    document.mainForm.offset.value = 0;
    document.mainForm.submit();
  }

	function add(uid, uname) {
    url = "<%= ROOT_DIR %>/ComControl?pluginId=<%= PLG_ID %>&processId=group";
    url += "&action=addini";
		url += "&uid=";
    url += uid;
		url += "&uname=";
    url += encodeURI(uname);
		url += "&day=";
    url += document.mainForm.day.value;
    var argObj = new Object();
    argObj.name = uname;
    retVal = showModalDialog(url, argObj, C_DIALOG_OPTL);
    if(typeof(retVal) != "undefined"){
      document.mainForm.offset.value = 0;
      document.mainForm.submit();
    }
	}
  </script>

  <style>
  table.simple {
    WIDTH     : 100%;
    border    : 0px;
    padding   : 0px;
    table-layout  : fixed;
  }
  tr.simple {
    border    : 0px;
    padding   : 0px;
  }
  td.simple {
    border    : 0px;
    padding   : 0px;
  }
  </style>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="group" act="dailylist" pageact="get" />

  <htl:hidden item="offset"/>
  <htl:hidden item="unit"/>
  <htl:hidden item="week"/>
  <htl:hidden item="dtype"/>

  <%-- タイトル --%>
  <%
    String typ = commonMessage.getReqStr("dtype");
  %>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle">グループスケジュール</td>
      <td>&nbsp;</td>
      <td width="50" class="titleDt" align="left"><a href="dmy" onclick="newday(-7, ''); return false;"><font size="-1">≪ 前週</font></a></td>
      <td width="5">&nbsp;</td>
      <td width="50" class="titleDt" align="left"><a href="dmy" onclick="newday(-1, ''); return false;"><font size="-1">〈 前日</font></a></td>
      <td width="5">&nbsp;</td>
      <td width="220">
      	<htl:textfld item="day" size="8" cls="textNum" attr="readonly"/>
      	( <htl:dispitem item="week"/>)
      	<button name="selday" onclick="selDate(); return false;" style="cursor:pointer;"><font size="-1">選択</font></button>
      </td>
      <td width="5">&nbsp;</td>
      <td width="50" class="titleDt" align="right"><a href="dmy" onclick="newday(1, ''); return false;"><font size="-1">翌日 〉</font></a></td>
      <td width="5">&nbsp;</td>
      <td width="50" class="titleDt" align="right"><a href="dmy" onclick="newday(7, ''); return false;"><font size="-1">翌週 ≫</font></a></td>
      <td width="10">&nbsp;</td>
  <%
    String arg = "dtl";
    String ttl = "詳　細";
    if (typ.equals("dtl")) {
    	arg = "sum";
    	ttl = "サマリ";
    }
  %>
      <td width="50" class="titleDt" align="right"><a href="dmy" onclick="newday(0, '<%= arg %>'); return false;"><font size="-1"><%= ttl %></font></a></td>
    </tr>
  </table>
  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>
  </htl:rectPre>
  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable" width="98%" border="0" cellpadding="0" cellspacing="1" style="table-layout: fixed;">
    <tr>
      <th nowrap width="110px" class="ListTitle" align="center">ユーザー</th>
      <th nowrap width="95px" class="ListTitle" align="center">時間</th>
      <th nowrap width="70px" class="ListTitle" align="left">カテゴリー</th>
      <th nowrap class="ListTitle" align="left">内容</th>
    </tr>
    <tr>
      <td>
        <table>
  <%
    String svuid = "";
  	String bclr = null;
  	int l = 0;
    for (Map<String,String> elm : commonMessage) {
      String uid = elm.get("uid");
    	String uname = elm.get("username");
    	String clr = elm.get("color");
      String seq = elm.get("seq");
      if (!uid.equals(svuid)) {
      	bclr = "#ffffff";
      	if ((l % 2) == 1) bclr = "#ccffff";
      	l++;
      	svuid = uid;
  %>
        </table>
      </td>
    </tr>
    <tr bgcolor="<%= bclr %>">
    	<td valign="top" align="left" bgcolor="<%= bclr %>"><a href="#" onclick="add('<%= uid %>','<%= uname %>'); return false;"><%= uname %></a></td>
    	<td colspan="3" class="top" bgcolor="<%= bclr %>">
    	  <table bgcolor="<%= bclr %>" class="simple" cellpadding="0" cellspacing="0">
  <%
      }
      if (seq.length() > 0) {
  %>
          <tr bgcolor="<%= bclr %>" class="simple">
            <td noWrap bgcolor="<%= bclr %>" width="40px" align="left" valign="top" class="simple"><htl:listdsp name="time_from" mpos="<%= elm %>" /></td>
            <td noWrap bgcolor="<%= bclr %>" width="15px" align="left" valign="top" class="simple">～</td>
            <td noWrap bgcolor="<%= bclr %>" width="42px" align="left" valign="top" class="simple"><htl:listdsp name="time_to" mpos="<%= elm %>" /></td>
        		<td noWrap bgcolor="<%= bclr %>" width="75px" align="left" valign="top" class="simple"><htl:listdsp name="category_name" mpos="<%= elm %>" />&nbsp;</td>
        		<td bgcolor="<%= bclr %>" class="simple"><font color="<%= clr %>"><htl:listdsp name="contents" mpos="<%= elm %>" />
  <%
        if (typ.equals("dtl")) {
  %>
                <br><font size="-1"><htl:listdsp name="detail" mpos="<%= elm %>" /></font>
  <%
        }
  %>
          		 </font>
        		</td>
      		</tr>
  <%
      }
    }
  %>
        </table>
      </td>
    </tr>
  </table>
  </div>
  </div>

</form>
</body>
</html>