<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * カテゴリー情報一覧表示画面 (CategoryList.jsp)
 *
 * version:      0.1, 2011.1.31 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Group List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:50px;dialogHeight:20px";
    function update(no, cid, kbn) {
      var nm = document.getElementsByName("nm_" + no).item(0).value;
      if (nm == "") {
        alert("カテゴリー名称を指定してください。");
        return flse;
      }
      var clr = document.getElementsByName("cl_" + no).item(0).value;

      if(isClick == true){
        return;
      }
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=category&action=modIni";
      url += "&fst=1";
      url += "&upkbn=";
      url += kbn;
      url += "&id=";
      url += cid;
      url += "&color=";
      url += encodeURIComponent(clr);
      url += "&name=";
      url += encodeURIComponent(nm);
      var argObj = new Object();
      argObj.name = nm;
      argObj.color = clr;
      retVal = showModalDialog(url, argObj, C_DIALOG_OPT);
      if(typeof(retVal) == "undefined"){
        isClick = false;
        return false;
      }
			if (retVal == "ok") {
        document.mainForm.pageAction.value = "get";
        document.mainForm.submit();
      }
      isClick = false;
      document.getElementById("msg").innerHTML = retVal;
    }

    function retrieve(ps) {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.pageAction.value = "get";
      document.mainForm.submit();
    }
  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="category" act="list" pageact="get" />

  <htl:hidden item="allGp" />

  <%-- タイトル --%>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle" colspan="2">カテゴリー一覧</td>
    </tr>
  </table>
  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>
  </htl:rectPre>

  <%-- ページコントロール --%>
  <!--
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td><htl:listCntr /></td>
      <td align="right"><htl:dspPgEx imgpt="<%=BUTTON_DIR%>"/></td>
    </tr>
  </table>
  -->

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
    <tr>
      <th nowrap class="ListTitle">カテゴリー名称</th>
      <th nowrap width="100px" class="ListTitle">カラー</th>
      <th nowrap width="70px" class="ListTitle">更新</th>
    </tr>

    <htl:listItems fld0="<%= POS_NM %>" fld1="id" fld2="name" fld3="color">
      <tr>
        <td noWrap><input type="text" name="nm_${fld0}" size="10" maxlength="10" style="color:${fld3}" value="${fld2}"></td>
        <td noWrap><input type="text" name="cl_${fld0}" size="7" maxlength="7" value="${fld3}"></td>
        <td> <button onclick="update('${fld0}','${fld1}', 'u'); return false;" style="cursor:pointer"><font size="-1">更新</font></button>
      </tr>
    </htl:listItems>
    <tr>
      <td noWrap><input type="text" name="nm_ad" size="10" maxlength="10"></td>
      <td noWrap><input type="text" name="cl_ad" size="7" maxlength="7"></td>
      <td> <button onclick="update('ad','', 'a'); return false;" style="cursor:pointer"><font size="-1">追加</font></button>
      </tr>
  </table>
  </div>
  </div>

</form>
</body>
</html>