<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * 祝日情報一覧表示画面 (HolidayList.jsp)
 *
 * version:      0.1, 2011.1.30 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="/control/jsp/common/sys/var.jsp" %>
<%@ include file="../common/env.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Group List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:50px;dialogHeight:20px";
    function update(kbn) {
      if(isClick == true){
        return;
      }
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=holiday&action=updateIni";
      url += "&year=";
      url += document.mainForm.syear.value;
      url += "&mmdd=";
      url += document.mainForm.mmdd.value;
      url += "&upkbn=";
      url += kbn;
      url += "&fst=1";
      url += "&name=";
      url += encodeURI(document.mainForm.name.value);
      var argObj = new Object();
      argObj.name = document.mainForm.name.value;
      retVal = showModalDialog(url, argObj, C_DIALOG_OPT);
      if(typeof(retVal) == "undefined"){
        isClick = false;
        return false;
      }
			if (retVal == "ok") {
        document.mainForm.pageAction.value = "get";
        document.mainForm.submit();
      }
      isClick = false;
      document.getElementById("msg").innerHTML = retVal;
    }

    function retrieve(ps) {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.pageAction.value = "get";
      document.mainForm.submit();
    }

    function copy() {
      if(isClick == true){
          return;
      }
      isClick = true;
      url = "<%= ActionVal %>?pluginId=<%= PLG_ID %>&processId=holiday&action=copyIni";
      url += "&year=";
      url += document.mainForm.syear.value;
      url += "&fst=1";
      retVal = showModalDialog(url, null, C_DIALOG_OPT);
      if(typeof(retVal) != "undefined"){
        document.mainForm.pageAction.value = "get";
        document.mainForm.submit();
      }
      isClick = false;
    }
  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= PLG_ID %>" pid="holiday" act="list" pageact="get" />

  <htl:hidden item="allGp" />

  <%-- タイトル --%>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle" colspan="3">祝日一覧</td>
    </tr>
    <tr class="input">
      <td class="titleDt" nowrap>年</td>
      <td class="Rect"><htl:keyfld item="syear" size="4" maxlength="4"/></td>
      <td align="right">
        <table class="button">
          <tr>
          	<td align="center"><a href="#" onclick="retrieve(); return false;">${hfn:getMsg("btn.search")}</a></td>
		      	<td id="spacer"></td>
    		  	<td align="center"><a href="#" onclick="copy(); return false;">前年複写</a></td>
					</tr>
        </table>
      </td>
    </tr>
  </table>
  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>
  </htl:rectPre>

  <%-- ページコントロール --%>
  <!--
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td><htl:listCntr /></td>
      <td align="right"><htl:dspPgEx imgpt="<%=BUTTON_DIR%>"/></td>
    </tr>
  </table>
  -->

  <%-- 更新処理表示 --%>
  <htl:rectPre>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" width="98%">
    <tr class="input">
      <td class="titleDt" nowrap>月／日</td>
      <td class="Rect"><htl:textfld item="mmdd" size="5" maxlength="5"/>mm/ddで指定</td>
      <td class="titleDt" nowrap>名称</td>
      <td class="Rect"><htl:textfld item="name" size="10" maxlength="20"/></td>
      <td align="right">
        <table class="button">
          <tr>
          	<td align="center"><a href="#" onclick="update('0'); return false;">更新</a></td>
		      	<td id="spacer"></td>
    		  	<td align="center"><a href="#" onclick="update('1'); return false;">削除</a></td>
					</tr>
        </table>
      </td>
    </tr>
  </table>
  <font color="red"><span id="msg"></span></font>
  </div>
  </div>
  </htl:rectPre>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
    <tr>
      <th nowrap width="100px" class="ListTitle">月／日</th>
      <th nowrap class="ListTitle">祝日名称</th>
    </tr>

    <htl:listItems fld0="<%= POS_NM %>" fld1="mmdd" fld2="name">
      <tr>
        <td noWrap>${fld1}&nbsp;</td>
        <td noWrap>${fld2}&nbsp;</td>
      </tr>
    </htl:listItems>
  </table>
  </div>
  </div>

</form>
</body>
</html>